t.rast.accdetect(1)

NAME
t.rast.accdetect - Detects accumulation patterns in temporally accumulated space time raster datasets created by t.rast.accumulate.

KEYWORDS
temporal, accumulation, raster, time

SYNOPSIS
t.rast.accdetect
t.rast.accdetect --help
t.rast.accdetect [-nr] input=name [minimum=name] [maximum=name] occurrence=name [indicator=name] start=string [stop=string] cycle=string [offset=string] basename=string [suffix=string] [range=min,max] [staend=start,intermediate,end] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-n
    Register empty maps in the output space time raster dataset, otherwise they will be deleted

-r
    Reverse time direction in cyclic accumulation

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of the input space time raster dataset

minimum=name
    Input space time raster dataset that specifies the minimum values to detect the accumulation pattern

maximum=name
    Input space time raster dataset that specifies the maximum values to detect the accumulation pattern

occurrence=name [required]
    The output space time raster dataset that stores the occurrence of the the accumulation pattern using the provided data range

indicator=name
    The output space time raster dataset that stores the indication of the start, intermediate and end of the specified data range

start=string [required]
    The temporal starting point to begin the accumulation, eg ’2001-01-01’

stop=string
    The temporal date to stop the accumulation, eg ’2009-01-01’

cycle=string [required]
    The temporal cycle to restart the accumulation, eg ’12 months’

offset=string
    The temporal offset to the begin of the next cycle, eg ’6 months’

basename=string [required]
    Basename of the new generated output maps
    A numerical suffix separated by an underscore will be attached to create a unique identifier

suffix=string
    Suffix to add at basename: set ’gran’ for granularity, ’time’ for the full time format, ’count’ for numerical suffix with a specific number of digits (default %05)
    Default: gran

range=min,max
    The minimum and maximum value of the occurrence of accumulated values, these values will be used if the min/max space time raster datasets are not specified

staend=start,intermediate,end
    The user defined values that indicate start, intermediate and end status in the indicator output space time raster dataset
    Default: 1,2,3

DESCRIPTION
t.rast.accdetect is designed to detect accumulation pattern in temporally accumulated space time raster datasets created by t.rast.accumulate. This module’s input is a space time raster dataset resulting from a t.rast.accumulate run.

The start time and the end time of the pattern detection process must be set, eg. start="2000-03-01" end="2011-01-01". The start and end time do not need to be the same as for the accumulation run that produced the input space time raster dataset. In addition a cycle, eg. "8 months", can be specified, that defines after which time interval the accumulation pattern detection process restarts. The offset option specifies the time that should be skipped between two cycles, eg. "4 months". The cycle and offset options must be exactly the same that were used in the accumulation process that generated the input space time raster dataset, otherwise the accumulation pattern detection will produce wrong results.

The minimum and maximum values for the pattern detection process can be set either by using space time raster datasets or by using fixed values for all raster cells and time steps.

Using space time raster datasets allows specifying minimum and maximum values for each raster cell and each time step. For example, we want to detect the germination (minimum value) and harvesting (maximum value) dates for different crops in Germany using the growing-degree-day (GDD) method for several years. Different crops may grow in different raster cells and change with time because of crop rotation. Hence we need to specify different GDD germination/harvesting (minimum/maximum) values for different raster cells and different years.

The raster maps that specify the minimum and maximum values of the actual granule will be detected using the following temporal relations: equals, during, overlaps, overlapped and contains. First, all maps with time stamps equal to the current granule of the input STRDS will be detected, the first minimum map and the first maximum map that are found will be used as range definitions. If no equal maps are found, then maps with a temporal during relation will be detected, then maps that temporally overlap the actual granules and finally, maps that have a temporal contain relation will be detected. If no maps are found or minimum/maximum STRDS are not set, then the range option is used, eg. range=480,730.

The base name of of the generated maps must always be set.

This module produces two output space time raster datasets: occurrence and indicator. The occurrence output STRDS stores the time in days from the beginning of a given cycle for each raster cell and time step that has a value within the minimum and maximum definition. These values can be used to compute the duration of the recognized accumulation pattern. The indicator output STRDS uses three integer values to mark raster cells as beginning, intermediate state or end of an accumulation pattern. By default, the module uses 1 to indicate the start, 2 for the intermediate state and 3 to mark the end of the accumulation pattern in a cycle. These default values can be changed using the staend option.

EXAMPLE
Please have a look at the t.rast.accumulate example.

SEE ALSO
t.rast.accumulate, t.rast.aggregate, t.rast.mapcalc, t.info, r.series.accumulate, g.region

AUTHOR
Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

SOURCE CODE

Available at: t.rast.accdetect source code (history)

Latest change: Wednesday Mar 01 21:08:00 2023 in commit: 1a96f69ccf430caa03bec8dbfc990c07c81f3164

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.3.0dev Reference Manual